﻿@using DataAccess.Model;
@model IList<Vocabulary>

@{Html.RenderAction("SidemenuVocabulary", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        @if (TempData["message-success"] != null)
        {
            <div class="alert alert-success alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                @TempData["message-success"]
            </div>
        }

        <div class="form-inline mt-2 mt-md-0">
            @using (Ajax.BeginForm("SearchV", new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }))
            {
                <input class="form-control mr-sm-2" type="text" placeholder="Vyhledávání" aria-label="Vyhledejte frázi" id="searchBox" name="phrase">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" style="margin-right: 15px">Vyhledat</button>
            }
        </div>
        <label for="submit-button"></label>

        <div class="clearfix"></div>

        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">Slovíčko</th>
                    <th scope="col">Význam</th>
                    <th scope="col">Akce</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                @foreach (Vocabulary v in Model)
                {
                    <tr>
                        <td><strong>@v.Word</strong></td>
                        <td>@v.Description</td>
                        <td>@Html.ActionLink("Upravit", "EditVocabulary", "Vocabulary", new { id = v.Id }, null)
                        <td>@Html.ActionLink("Odstranit", "Delete", "Vocabulary", new { id = v.Id }, new { onclick = "return confirm('Přejete si opravdu odstranit slovíčko " + v.Word + " ?');" })</td>
                    </tr>
                }
            </tbody>
        </table>

        @if (ViewBag.Pages > 1)
        {
            <ul class="pagination">
                @for (int i = 1; i <= ViewBag.Pages; i++)
                {
                    <li class=@(ViewBag.CurrentPage == i ? "active" : "")>

                        @Ajax.ActionLink(i.ToString(), "IndexVocabulary", new { page = i }, new AjaxOptions() { InsertionMode = InsertionMode.Replace, UpdateTargetId = "dynamicContent" }, new { @class = "page-link" })
                    </li>
                }
            </ul>
        }
    </div>
</div>

<script type="text/javascript">
    $(function () {

        $("#searchBox").autocomplete({
            source: function (request, response) {
                $.ajax({
                    url: '@Url.Action("SearchWords", "Vocabulary")',
                    dataType: "json",
                    data: {
                        query: request.term
                    },
                    success: function (data) {
                        response(data);
                    }
                });
            },
            minLength: 2
        });
    });
</script>